Make COMPTEL IAQ weighting compliant with COMPASS

06/14/2021 10:02 AM - Knödlseder Jürgen

Status: Closed Start date: 06/14/2021

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

It turned out that the COMPTEL IAQ weighting was not compliant with the COMPASS software.

History

#1 - 06/18/2021 01:00 PM - Knödlseder Jürgen

- File comparison_20210617_0.75-1MeV.png added

- File comparison_20210617_1-3MeV.png added

- File comparison_20210617_3-10MeV.png added

- File comparison_20210617_10-30MeV.png added

- Status changed from New to Pull request

- % Done changed from 0 to 90

It turned out that the peak amplitudes of the D2 response were not divided by the square root of 2 pi multiplied by sigma. This was corrected. I also

included the absorption in the veto shield and the PSD selection efficiency in the computation, and did a few minor adjustments to reproduce exactly

the COMPASS energy thresholds. This gave the following results:

The minor difference in the 0.75-1 MeV response comes from the fact that COMPASS does not a renormalisation of the D1 peak amplitude based on

the sigma value, which should however be done. I preferred therefore the implementation with renormalisation.

#2 - 06/24/2021 05:56 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- % Done changed from 90 to 100
